Skip to main content
POST
/
dnszone
/
{zoneId}
/
import
Import DNS Records
curl --request POST \
  --url https://api.bunny.net/dnszone/{zoneId}/import \
  --header 'AccessKey: <api-key>'
import requests

url = "https://api.bunny.net/dnszone/{zoneId}/import"

headers = {"AccessKey": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {AccessKey: '<api-key>'}};

fetch('https://api.bunny.net/dnszone/{zoneId}/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "RecordsSuccessful": 123,
  "RecordsFailed": 123,
  "RecordsSkipped": 123
}
{
"ErrorKey": "<string>",
"Field": "<string>",
"Message": "<string>"
}

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Path Parameters

zoneId
integer<int64>
required

The DNS Zone ID that should import the data.

Response

The import operation has finished successfuly.

RecordsSuccessful
integer<int32>
RecordsFailed
integer<int32>
RecordsSkipped
integer<int32>
Last modified on July 11, 2026